Orders
PATCH
/api/v3/orders/{id}Update an order
Parameters
idpathrequiredstringRequest body (optional)
waveIdstringnullablestatusenumplannedpendingprocessingpickingpackingshippeddeliveredcancelled
priorityenumlownormalhighurgent
shippedAtstringshipBystringnullablereleaseAtstringnullablecarrierstringnullableservicestringnullablenotesstringnullablecustomerNamestringcustomerEmailstringnullablelocationIdstring (uuid)nullableResponses
200Updated order
idstring (uuid)requiredorderNumberstringrequiredclientIdstring (uuid)requiredlocationIdstring (uuid)requiredstatusenumrequiredplannedpendingprocessingpickingpackingshippeddeliveredcancelled
priorityenumrequiredlownormalhighurgent
customerNamestringrequiredcustomerEmailstringrequiredtotalItemsnumberrequiredpickedItemsnumberrequiredlineCountnumberrequiredwaveIdstring (uuid)requiredcontainerIdstring (uuid)requiredorderDatestringrequiredshipBystringrequiredreleaseAtstringrequiredcarrierstringrequiredservicestringrequiredexternalRefstringrequiredskipWavebooleanrequiredprioritySwapCountnumberrequirednotesstringrequiredcreatedAtstringrequiredupdatedAtstringrequiredshippedAtstringrequiredSending requests from a browser
Open https://v3.revolutionstreetwxs.io/api/v3/docs to send requests to this endpoint with your API key.